summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-misc/icdiff/icdiff-2.0.5.ebuild')
-rw-r--r--app-misc/icdiff/icdiff-2.0.5.ebuild28
1 files changed, 28 insertions, 0 deletions
diff --git a/app-misc/icdiff/icdiff-2.0.5.ebuild b/app-misc/icdiff/icdiff-2.0.5.ebuild
new file mode 100644
index 00000000000..b7380fdb9b6
--- /dev/null
+++ b/app-misc/icdiff/icdiff-2.0.5.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{8..11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Colourized diff that supports side-by-side diffing"
+HOMEPAGE="https://www.jefftk.com/icdiff"
+SRC_URI="https://github.com/jeffkaufman/${PN}/archive/release-${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${PN}-release-${PV}"
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~amd64"
+
+PATCHES=(
+ "${FILESDIR}/icdiff-1.9.5-tests.patch"
+)
+
+DOCS=(README.md ChangeLog)
+
+python_test() {
+ bash test.sh "${EPYTHON%.*}" || die "Tests failed with ${EPYTHON}"
+}